"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscribeToWebpackEvents = void 0;
const webpack_1 = require("@teambit/webpack");
/**
 * Listen for Webpack compilation pub sub events.
 */
function SubscribeToWebpackEvents(pubsub, handlers = {}) {
    pubsub.sub(webpack_1.WebpackAspect.id, (event) => {
        var _a, _b;
        if (event instanceof webpack_1.WebpackCompilationDoneEvent) {
            const { stats, devServerID } = event.data;
            const results = {
                errors: stats.compilation.errors,
                warnings: stats.compilation.warnings,
                compiling: false,
            };
            (_a = handlers.onDone) === null || _a === void 0 ? void 0 : _a.call(handlers, devServerID, results);
        }
        if (event instanceof webpack_1.WebpackCompilationStartedEvent) {
            const { devServerID } = event.data;
            (_b = handlers.onStart) === null || _b === void 0 ? void 0 : _b.call(handlers, devServerID);
        }
    });
}
exports.SubscribeToWebpackEvents = SubscribeToWebpackEvents;
//# sourceMappingURL=webpack-events-listener.js.map